@import url('https://fonts.googleapis.com/css2?family=Alan+Sans:wght@300..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

h1{
    color: #FF5C92;
    font-family: "Alan Sans", sans-serif;
    font-weight: 500;
    font-style: normal;
}

h2{
    color: #FF5C92;
    font-family: "Alan Sans", sans-serif;
    font-weight: 500;
    font-style: normal;
}

h3{
    color: #FC95B8;
    /*ff7faa*/
    font-family: "Roboto", sans-serif;
    font-weight: 700;
    font-style: normal;
}

h4{
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal; 
}

p{
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: normal;
}

body {
  background-color: #1A1C24;
}

#wrapper {
  overflow-x: hidden;
}

#sidebar-wrapper {
  min-height: 100vh;
  margin-left: -15rem;
  transition: margin 0.25s ease-out;
  position: fixed;
  background-color: #313544;
  filter: drop-shadow(2px 0px 3px rgba(11, 14, 18, 0.5));
  z-index: 5;
}

#topnav{
    min-width: 100vw;
    position: fixed;
    padding-left: 15rem;
    background-color: #313544;
    filter: drop-shadow(0px 2px 3px rgba(11, 14, 18, 0.5));
    z-index: 3;
}

#sidebar-wrapper .sidebar-heading {
  padding: 0.875rem 1.25rem;
  font-size: 1.2rem;
  background-image: none;
  background-color: #313544;
  border-bottom: 1px solid #585F79;
  
}

#sidebar-wrapper .list-group {
  width: 15rem;
  background-image: none;
  background-color: #313544;
}

#sidebar-wrapper .list-group-item {
  background-image: none;
  background-color: #313544;
  border-bottom: 1px solid #585F79;
}

#page-content-wrapper {
  min-width: 100vw;
}

body.sb-sidenav-toggled #wrapper #sidebar-wrapper {
  margin-left: 0;
}

img{
    filter: drop-shadow(0px 2px 3px rgba(11, 14, 18, 0.5));
}

.card{
    background-color: #272A36;
    filter: drop-shadow(0px 2px 3px rgba(11, 14, 18, 0.5));
    border: 1px solid #585F79;
}

.card-footer{
    border-top: 1px solid #585F79;
    background-color: #272A36;
}

.badge{
    background-color: #FF5C92;
}

.btn{
    background-color: #FF5C92;
    border: none;
}

.btn:hover{
    background-color: #FC95B8;
}

#contact-form input{
    background-image: none;
    background-color: #272A36;
    border: 1px solid #585F79;
}

#contact-form textarea{
    background-image: none;
    background-color: #272A36;
    border: 1px solid #585F79;
}

#inner{
min-width: 100vw;
  padding-left: 18.5rem;
  padding-right: 4.5rem;
  padding-top: 5rem;
  z-index: -1;
}


@media (min-width: 768px) {
  #sidebar-wrapper {
    margin-left: 0;
  }
  #page-content-wrapper {
    min-width: 0;
    width: 100%;
  }
  body.sb-sidenav-toggled #wrapper #sidebar-wrapper {
    margin-left: -15rem;
  }
  #topnav{
        display: none;
        filter: drop-shadow(0 0 0 transparent);
    }
  body.sb-sidenav-toggled #inner{
      margin-left: -13rem;
  }
  #inner{
      padding-top: 2rem;
  }
  #softwares{
      padding-left: 3rem;
  }
  #languages{
      padding-left: 3rem;
  }
}

@media (max-width: 768px) {
  #inner{
    min-width: 100vw;
  padding-left: 2.5rem;
  padding-right: 2.5rem;
  padding-top: 5rem;
}
#topnav{
    min-width: 100vw;
    position: fixed;
    padding-left: 0;
}
body.sb-sidenav-toggled #topnav{
      padding-left: 15rem;
  }
body.sb-sidenav-toggled #hamburger{
      display: none;
  }
body.sb-sidenav-toggled #toplinks{
      display: none;
  }
body.sb-sidenav-toggled #sidebar-wrapper{
      filter: drop-shadow(2px 0px 3px rgba(11, 14, 18, 0.5));
  }
 #sidebar-wrapper{
     filter: drop-shadow(0 0 0 transparent);
 }
}